diff -ruN smw/_src/MapList.cpp smw-unix/_src/MapList.cpp
--- smw/_src/MapList.cpp	2005-11-08 16:47:20.000000000 -0300
+++ smw-unix/_src/MapList.cpp	2006-04-21 12:00:55.000000000 -0300
@@ -93,7 +93,7 @@
 
 		for(int k = 0; k < count - 1; k++)
 		{
-			if(stricmp(leftnode->key, rightnode->key) > 0)
+			if(strcasecmp(leftnode->key, rightnode->key) > 0)
 			{
 				fDone = false;
 
diff -ruN smw/_src/global.h smw-unix/_src/global.h
--- smw/_src/global.h	2005-11-04 14:47:28.000000000 -0300
+++ smw-unix/_src/global.h	2006-04-21 12:24:01.000000000 -0300
@@ -203,7 +203,7 @@
 extern sfxSound			chicken;
 extern sfxSound			transform;
 extern sfxSound			yoshi;
-extern sfxSound			pause;
+extern sfxSound			Spause;
 extern sfxSound			bobombsound;
 extern sfxSound			areatag;
 extern sfxSound			cannon;
diff -ruN smw/_src/main.cpp smw-unix/_src/main.cpp
--- smw/_src/main.cpp	2005-11-07 20:19:01.000000000 -0300
+++ smw-unix/_src/main.cpp	2006-04-21 12:25:13.000000000 -0300
@@ -33,7 +33,7 @@
 
 #include "global.h"				//all the global stuff
 #include <time.h>
-
+#include <unistd.h>
 //now it's really time for an "engine" (aka resource manager)
 #ifdef _WIN32
 	#ifndef _XBOX
@@ -229,7 +229,7 @@
 sfxSound chicken;
 sfxSound transform;
 sfxSound yoshi;
-sfxSound pause;
+sfxSound Spause;
 sfxSound bobombsound;
 sfxSound areatag;
 sfxSound cannon;
@@ -1224,7 +1224,7 @@
 
 								ifsoundonpause(invinciblemusic);
 								ifsoundonpause(slowdownmusic);
-								ifsoundonplay(pause);
+								ifsoundonplay(Spause);
 							}
 
 							if(game_values.exitinggame)
@@ -1897,7 +1897,7 @@
 
 		//Fine tune wait here
 		while(SDL_GetTicks() - framestart < WAITTIME)
-			Sleep(0);   //keep framerate constant at 1000/WAITTIME fps
+			sleep(0);   //keep framerate constant at 1000/WAITTIME fps
 
 #ifdef _DEBUG
 		if(game_values.frameadvance)
diff -ruN smw/_src/menu.cpp smw-unix/_src/menu.cpp
--- smw/_src/menu.cpp	2005-11-04 20:04:04.000000000 -0300
+++ smw-unix/_src/menu.cpp	2006-04-21 12:27:54.000000000 -0300
@@ -12,6 +12,8 @@
 	#endif
 #endif
 
+#include <unistd.h>
+
 extern void _load_waitforkey();
 extern bool __load_gfxck(gfxSprite &g, const char *f);
 extern bool __load_gfx(gfxSprite &g, const char *f);
@@ -415,39 +417,39 @@
 bool loadmap()
 {
 	map.loadMap(maplist.current_name());
-	Sleep(5);  //Sleeps to help the music from skipping
+	sleep(5);  //Sleeps to help the music from skipping
 	
 	char filename[128];
 	sprintf(filename, "gfx/backgrounds/bg%d.bmp", map.backgroundID);
 	_load_gfx(spr_background, convertPath(filename));
-	Sleep(5);
+	sleep(5);
 	
 	map.predrawbackground(spr_background, spr_backmap);
-	Sleep(5);
+	sleep(5);
 	map.predrawforeground(spr_frontmap);
-	Sleep(5);
+	sleep(5);
 
 	loadInteractionMapObjects();
-	Sleep(5);
+	sleep(5);
 
 	blitdest = menu_backdrop.getSurface();
 	spr_backmap.draw(0, 0);
-	Sleep(5);
+	sleep(5);
 	interactionobjectblocks.draw();
-	Sleep(5);
+	sleep(5);
 
 #ifdef _XBOX
 	map.drawfrontlayer();
-	Sleep(5);
+	sleep(5);
 #else
 	if(game_values.toplayer)
 	{
 		map.drawfrontlayer();
-		Sleep(5);
+		sleep(5);
 	}
 #endif
 	menu_shade.draw(0, 0);
-	Sleep(5);
+	sleep(5);
 	blitdest = screen;
 
 	return false;
diff -ruN smw/_src/splash.cpp smw-unix/_src/splash.cpp
--- smw/_src/splash.cpp	2005-11-09 01:51:00.000000000 -0300
+++ smw-unix/_src/splash.cpp	2006-04-21 12:29:19.000000000 -0300
@@ -11,6 +11,7 @@
 
 #include "global.h"
 #include "time.h"
+#include <unistd.h>
 
 extern void loadInteractionMapObjects();
 extern char *convertPath(char *source);
@@ -602,7 +603,7 @@
 			_load_sfx(chicken, convertPath("sfx/chicken.wav"));
 			_load_sfx(transform, convertPath("sfx/transform.wav"));
 			_load_sfx(yoshi, convertPath("sfx/yoshi.wav"));
-			_load_sfx(pause, convertPath("sfx/pause.wav"));
+			_load_sfx(Spause, convertPath("sfx/pause.wav"));
 			_load_sfx(bobombsound, convertPath("sfx/bob-omb.wav"));
 			_load_sfx(areatag, convertPath("sfx/area_tag.wav"));
 			_load_sfx(cannon, convertPath("sfx/cannon.wav"));
@@ -653,7 +654,7 @@
 
 		//Fine tune wait here
 		while(SDL_GetTicks() - framestart < WAITTIME)
-			Sleep(0);   //keep framerate constant at 1000/WAITTIME fps
+			sleep(0);   //keep framerate constant at 1000/WAITTIME fps
 
 	}
 	
Files smw/options.bin and smw-unix/options.bin differ
